import ApolloClient from 'apollo-boost';
import {
  IntrospectionFragmentMatcher,
  InMemoryCache,
} from 'apollo-cache-inmemory';
import introspectionQueryResultData from './fragmentTypes.json';

const fragmentMatcher = new IntrospectionFragmentMatcher({
  introspectionQueryResultData,
});

const cache = new InMemoryCache({ fragmentMatcher });

const client = new ApolloClient({
  uri: (window as any).AppConfig.REACT_APP_API_URL,
  cache,
  fetchOptions: {
    headers: {
      'admin-code': 'u459',
    },
  },
  request: async operation => {
    const accessToken = await localStorage.getItem('accessToken');
    let headers: any = { 'admin-code': 'u459' };
    if (accessToken) {
      headers = {
        ...headers,
        authorization: `Bearer ${accessToken}`,
      };
    }
    operation.setContext({
      headers,
    });
  },
});

export default client;
