import createPersistedState from 'use-persisted-state';
import { LightMode, DarkMode } from 'sancho';

const useThemeModeState = createPersistedState('app-theme');

const useThemeMode = () => {
  const [themeMode, setThemeMode] = useThemeModeState('light');
  const isLightTheme = themeMode === 'light';
  const ThemeMode = isLightTheme ? LightMode : DarkMode;
  return {
    themeMode,
    isLightTheme,
    setThemeMode,
    ThemeMode,
  };
};

export default useThemeMode;
